%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname  pydoctor
%global forgeurl https://github.com/twisted/%{srcname}
%global tag      24.3.3
%global date     20240517
%forgemeta

Name:           python-%{srcname}
Version:        24.3.3
Release:        %autorelease
Summary:        API documentation generator that works by static analysis
License:        MIT AND Apache-2.0
URL:            %{forgeurl}
Source0:        %{forgesource}
# https://github.com/twisted/pydoctor/issues/833
Patch0:         python-pydoctor-24.3.3-relax-lunr-version.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3dist(sphinx-rtd-theme)

%{?python_enable_dependency_generator}

%description
This is pydoctor, a standalone API documentation generator that works by 
static analysis.

It was written primarily to replace epydoc for the purposes of the Twisted 
project as epydoc has difficulties with zope.interface. If you are looking 
for a successor to epydoc after moving to Python 3, pydoctor might be the 
right tool for your project as well.

pydoctor puts a fair bit of effort into resolving imports and computing 
inheritance hierarchies and, as it aims at documenting Twisted, knows about 
zope.interface's declaration API and can present information about which 
classes implement which interface, and vice versa.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{description}


%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
make -C docs


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import -t


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc README.rst CONTRIBUTING.rst
%{_bindir}/pydoctor
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}.dist-info/


%changelog
%autochangelog
